/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program testing isprint() */
#include <ctype.h>
#include <stdio.h>

int main() {
    char c = 'A';
    printf("isprint('%c') returns %d\n", c,isprint(c));
    if(isprint(c) > 0)
        printf("'%c' is a printable character.\n", c);
    else
        printf("'%c' is not a printable character.\n", c);
    c = ' ';
    printf("isprint('%c') returns %d\n", c,isprint(c));
    if(isprint(c) > 0)
        printf("'%c' is a printable character.\n", c);
    else
        printf("'%c' is not a printable character.\n",c);

}
